petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCJacobiGetType

Gets how the diagonal matrix is produced for the preconditioner

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCJacobiGetType(PC pc,PCJacobiType *type)

Not Collective on PC Many br

### Input Parameter

pc -the preconditioner context Many br

### Output Parameter

type -PC_JACOBI_DIAGONAL, PC_JACOBI_ROWMAX, PC_JACOBI_ROWSUM Many br

Many br

### See Also

PCJacobiaUseAbs(), PCJacobiSetType()

Level:intermediate
Location:src/ksp/pc/impls/jacobi/jacobi.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages